Package org.eclipse.handly.ui.outline

## Class LinkWithEditorActionContribution

- java.lang.Object
- - org.eclipse.handly.ui.outline.OutlineContribution
  - - org.eclipse.handly.ui.outline.OutlineActionContribution
    - - org.eclipse.handly.ui.outline.ToggleActionContribution
      - - org.eclipse.handly.ui.outline.LinkWithEditorActionContribution

- All Implemented Interfaces:
    `IOutlineContribution`

      public class LinkWithEditorActionContribution
      extends ToggleActionContribution

  Contributes link-with-editor action, if the outline page supports linking with editor.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ID` | The action id.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkWithEditorActionContribution()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `configureAction​(org.eclipse.jface.action.IAction action)` | Hook to configure the contributed action (set its id, text, image, etc.) This method is called once, when this contribution is initializing.
    `protected IBooleanPreference` | `getPreference()` | Returns a boolean-valued preference that is to be toggled by the contributed action.

    - ### Methods inherited from class org.eclipse.handly.ui.outline.ToggleActionContribution

      `createAction, disposeAction`

    - ### Methods inherited from class org.eclipse.handly.ui.outline.OutlineActionContribution

      `contribute, dispose, getContributionManager, init`

    - ### Methods inherited from class org.eclipse.handly.ui.outline.OutlineContribution

      `getOutlinePage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      The action id.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LinkWithEditorActionContribution

          public LinkWithEditorActionContribution()

  - ### Method Detail

    - #### getPreference

          protected IBooleanPreference getPreference()

      Description copied from class: `ToggleActionContribution`
      Returns a boolean-valued preference that is to be toggled by the contributed action. May return `null`, in which case this contribution will be effectively disabled. This method is called once, when this contribution is initializing.
      Specified by:
        `getPreference` in class `ToggleActionContribution`
      Returns:
        the linked preference, or `null`

    - #### configureAction

          protected void configureAction​(org.eclipse.jface.action.IAction action)

      Description copied from class: `ToggleActionContribution`
      Hook to configure the contributed action (set its id, text, image, etc.) This method is called once, when this contribution is initializing.
      Specified by:
        `configureAction` in class `ToggleActionContribution`
      Parameters:
        `action` - the action to configure (never `null`)